import type { ParserRule } from './type';
export declare class RuleList extends Array<ParserRule> {
    constructor(input?: ArrayLike<ParserRule>);
    insertBefore(rule: string, newRule: ParserRule): void;
    insertAfter(rule: string, newRule: ParserRule): void;
    toRuleObject(): Record<string, ParserRule>;
    add(rule: ParserRule): void;
    get(rule: string): ParserRule | undefined;
    remove(rule: string): void;
    clone(): RuleList;
}
