import { SvelteComponentTyped } from "svelte";
export declare const RENDERER_CONTEXT: unique symbol;
import type { MarkdownConfig } from './types';
declare const __propDef: {
    props: {
        config: MarkdownConfig;
        value?: string | undefined;
        inline?: boolean | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export declare type MarkdownProps = typeof __propDef.props;
export declare type MarkdownEvents = typeof __propDef.events;
export declare type MarkdownSlots = typeof __propDef.slots;
export default class Markdown extends SvelteComponentTyped<MarkdownProps, MarkdownEvents, MarkdownSlots> {
}
export {};
