import type { ASTNode, Parser } from '../core';
import type { SvelteComponentTyped } from 'svelte';
declare type Class<T> = {
    new (...args: any[]): T;
};
export declare type SvelteRenderers = Record<string, Class<SvelteComponentTyped>>;
export interface SvelteRendererProps {
    node: ASTNode;
}
export interface MarkdownConfig {
    parser: Parser;
    renderers?: SvelteRenderers;
}
export {};
